module Main
where

import Data.Monoid (mempty)
import Test.Framework (
  Test,
  defaultMainWithOpts )
import Test.Framework.Runners.Options ( RunnerOptions )

import DNS (dns_properties, dns_tests)

main :: IO ()
main = do
  let empty_options = mempty :: RunnerOptions
  defaultMainWithOpts tests empty_options

tests :: [Test]
tests = [ dns_properties, dns_tests ]
